Bug 826358 - ERROR with transaction check vs depsolve:
ERROR with transaction check vs depsolve:
Status: CLOSED DUPLICATE of bug 838053
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 23:52 EDT by Andrig Miller
Modified: 2014-01-21 18:22 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-28 16:43:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrig Miller 2012-05-29 23:52:25 EDT
Description of problem:

Cannot update after Fedora 17 upgrade from Fedora 16.

Version-Release number of selected component (if applicable):

yum-3.4.3-24.fc16.noarch


How reproducible:

Everytime.

Steps to Reproduce:
1. Upgrade to Fedora 17 from Fedora 16.
2.
3.
  
Actual results:

I expect to be able to apply the updates, but cannot because of a dependency problem.

Expected results:

A clean update.

Additional info:

This is the information in the error dialog of yum:

ERROR with transaction check vs depsolve:
libcups.so.2 is needed by gtk2-2.24.10-1.fc17.i686
/usr/bin/db_stat is needed by rpm-4.9.1.3-7.fc17.x86_64
mesa-dri-filesystem(x86-32) is needed by mesa-dri-drivers-8.0.3-1.fc17.i686
Please report this error at https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum
Comment 1 Piotr Madanecki 2012-09-13 14:24:07 EDT
To fix "/usr/bin/db_stat is needed by rpm-4.9.1.3-7.fc17.x86_64" error:

yum install libdb-utils
yum update
Comment 2 James Antill 2013-05-28 16:43:55 EDT

*** This bug has been marked as a duplicate of bug 838053 ***

Note You need to log in before you can comment on or make changes to this bug.